--- !ruby/object:Gem::Specification
name: reek
version: !ruby/object:Gem::Version
  version: 3.8.2
platform: ruby
authors:
- Kevin Rutherford
- Timo Roessner
- Matijs van Zuijlen
- Piotr Szotkowski
autorequire: 
bindir: bin
cert_chain: []
date: 2016-01-07 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: codeclimate-engine-rb
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.1.0
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.1.0
- !ruby/object:Gem::Dependency
  name: parser
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.2'
    - - ">="
      - !ruby/object:Gem::Version
        version: 2.2.2.5
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.2'
    - - ">="
      - !ruby/object:Gem::Version
        version: 2.2.2.5
- !ruby/object:Gem::Dependency
  name: private_attr
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.1'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.1'
- !ruby/object:Gem::Dependency
  name: rainbow
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.0'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.0'
- !ruby/object:Gem::Dependency
  name: unparser
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.2.2
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.2.2
- !ruby/object:Gem::Dependency
  name: activesupport
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '4.2'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '4.2'
- !ruby/object:Gem::Dependency
  name: aruba
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.10.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.10.0
- !ruby/object:Gem::Dependency
  name: ataru
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.2.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.2.0
- !ruby/object:Gem::Dependency
  name: bundler
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.1'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '1.1'
- !ruby/object:Gem::Dependency
  name: cucumber
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '2.0'
- !ruby/object:Gem::Dependency
  name: factory_girl
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '4.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '4.0'
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '10.0'
- !ruby/object:Gem::Dependency
  name: rspec
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: '3.0'
- !ruby/object:Gem::Dependency
  name: rubocop
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.34.0
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - "~>"
      - !ruby/object:Gem::Version
        version: 0.34.0
description: |2
      Reek is a tool that examines Ruby classes, modules and methods and reports
      any code smells it finds.
email:
- timo.roessner@googlemail.com
executables:
- reek
extensions: []
extra_rdoc_files:
- CHANGELOG.md
- License.txt
files:
- ".gitignore"
- ".rubocop.yml"
- ".travis.yml"
- ".yardopts"
- CHANGELOG.md
- CONTRIBUTING.md
- Gemfile
- License.txt
- README.md
- Rakefile
- ataru_setup.rb
- bin/reek
- defaults.reek
- docs/API.md
- docs/Attribute.md
- docs/Basic-Smell-Options.md
- docs/Boolean-Parameter.md
- docs/Class-Variable.md
- docs/Code-Smells.md
- docs/Command-Line-Options.md
- docs/Control-Couple.md
- docs/Control-Parameter.md
- docs/Data-Clump.md
- docs/Duplicate-Method-Call.md
- docs/Feature-Envy.md
- docs/How-reek-works-internally.md
- docs/Irresponsible-Module.md
- docs/Large-Class.md
- docs/Long-Parameter-List.md
- docs/Long-Yield-List.md
- docs/Module-Initialize.md
- docs/Nested-Iterators.md
- docs/Nil-Check.md
- docs/Prima-Donna-Method.md
- docs/RSpec-matchers.md
- docs/Rake-Task.md
- docs/Reek-Driven-Development.md
- docs/Repeated-Conditional.md
- docs/Simulated-Polymorphism.md
- docs/Smell-Suppression.md
- docs/Too-Many-Instance-Variables.md
- docs/Too-Many-Methods.md
- docs/Too-Many-Statements.md
- docs/Uncommunicative-Method-Name.md
- docs/Uncommunicative-Module-Name.md
- docs/Uncommunicative-Name.md
- docs/Uncommunicative-Parameter-Name.md
- docs/Uncommunicative-Variable-Name.md
- docs/Unused-Parameters.md
- docs/Unused-Private-Method.md
- docs/Utility-Function.md
- docs/Versioning-Policy.md
- docs/YAML-Reports.md
- docs/style-guide.md
- docs/templates/default/docstring/html/public_api_marker.erb
- docs/templates/default/docstring/setup.rb
- docs/templates/default/fulldoc/html/css/common.css
- docs/yard_plugin.rb
- features/command_line_interface/basic_usage.feature
- features/command_line_interface/options.feature
- features/command_line_interface/smell_selection.feature
- features/command_line_interface/smells_count.feature
- features/command_line_interface/stdin.feature
- features/configuration_files/directory_specific_directives.feature
- features/configuration_files/masking_smells.feature
- features/configuration_loading.feature
- features/programmatic_access.feature
- features/rake_task/rake_task.feature
- features/reports/json.feature
- features/reports/reports.feature
- features/reports/yaml.feature
- features/samples.feature
- features/step_definitions/.rubocop.yml
- features/step_definitions/reek_steps.rb
- features/step_definitions/sample_file_steps.rb
- features/support/env.rb
- lib/reek.rb
- lib/reek/ast/ast_node_class_map.rb
- lib/reek/ast/node.rb
- lib/reek/ast/object_refs.rb
- lib/reek/ast/reference_collector.rb
- lib/reek/ast/sexp_extensions.rb
- lib/reek/ast/sexp_extensions/arguments.rb
- lib/reek/ast/sexp_extensions/attribute_assignments.rb
- lib/reek/ast/sexp_extensions/block.rb
- lib/reek/ast/sexp_extensions/case.rb
- lib/reek/ast/sexp_extensions/constant.rb
- lib/reek/ast/sexp_extensions/if.rb
- lib/reek/ast/sexp_extensions/literal.rb
- lib/reek/ast/sexp_extensions/logical_operators.rb
- lib/reek/ast/sexp_extensions/methods.rb
- lib/reek/ast/sexp_extensions/module.rb
- lib/reek/ast/sexp_extensions/nested_assignables.rb
- lib/reek/ast/sexp_extensions/send.rb
- lib/reek/ast/sexp_extensions/super.rb
- lib/reek/ast/sexp_extensions/symbols.rb
- lib/reek/ast/sexp_extensions/variables.rb
- lib/reek/ast/sexp_extensions/when.rb
- lib/reek/ast/sexp_extensions/yield.rb
- lib/reek/ast/sexp_formatter.rb
- lib/reek/cli/application.rb
- lib/reek/cli/command.rb
- lib/reek/cli/input.rb
- lib/reek/cli/option_interpreter.rb
- lib/reek/cli/options.rb
- lib/reek/cli/reek_command.rb
- lib/reek/cli/silencer.rb
- lib/reek/cli/warning_collector.rb
- lib/reek/code_comment.rb
- lib/reek/configuration/app_configuration.rb
- lib/reek/configuration/configuration_file_finder.rb
- lib/reek/configuration/configuration_validator.rb
- lib/reek/configuration/default_directive.rb
- lib/reek/configuration/directory_directives.rb
- lib/reek/configuration/excluded_paths.rb
- lib/reek/context/attribute_context.rb
- lib/reek/context/class_context.rb
- lib/reek/context/code_context.rb
- lib/reek/context/method_context.rb
- lib/reek/context/module_context.rb
- lib/reek/context/root_context.rb
- lib/reek/context/send_context.rb
- lib/reek/context/singleton_method_context.rb
- lib/reek/context/statement_counter.rb
- lib/reek/context/visibility_tracker.rb
- lib/reek/context_builder.rb
- lib/reek/examiner.rb
- lib/reek/rake/task.rb
- lib/reek/report.rb
- lib/reek/report/code_climate_formatter.rb
- lib/reek/report/formatter.rb
- lib/reek/report/heading_formatter.rb
- lib/reek/report/html_report.html.erb
- lib/reek/report/location_formatter.rb
- lib/reek/report/report.rb
- lib/reek/smells.rb
- lib/reek/smells/attribute.rb
- lib/reek/smells/boolean_parameter.rb
- lib/reek/smells/class_variable.rb
- lib/reek/smells/control_parameter.rb
- lib/reek/smells/data_clump.rb
- lib/reek/smells/duplicate_method_call.rb
- lib/reek/smells/feature_envy.rb
- lib/reek/smells/irresponsible_module.rb
- lib/reek/smells/long_parameter_list.rb
- lib/reek/smells/long_yield_list.rb
- lib/reek/smells/module_initialize.rb
- lib/reek/smells/nested_iterators.rb
- lib/reek/smells/nil_check.rb
- lib/reek/smells/prima_donna_method.rb
- lib/reek/smells/repeated_conditional.rb
- lib/reek/smells/smell_configuration.rb
- lib/reek/smells/smell_detector.rb
- lib/reek/smells/smell_repository.rb
- lib/reek/smells/smell_warning.rb
- lib/reek/smells/too_many_instance_variables.rb
- lib/reek/smells/too_many_methods.rb
- lib/reek/smells/too_many_statements.rb
- lib/reek/smells/uncommunicative_method_name.rb
- lib/reek/smells/uncommunicative_module_name.rb
- lib/reek/smells/uncommunicative_parameter_name.rb
- lib/reek/smells/uncommunicative_variable_name.rb
- lib/reek/smells/unused_parameters.rb
- lib/reek/smells/unused_private_method.rb
- lib/reek/smells/utility_function.rb
- lib/reek/source/source_code.rb
- lib/reek/source/source_locator.rb
- lib/reek/spec.rb
- lib/reek/spec/should_reek.rb
- lib/reek/spec/should_reek_of.rb
- lib/reek/spec/should_reek_only_of.rb
- lib/reek/spec/smell_matcher.rb
- lib/reek/tree_dresser.rb
- lib/reek/version.rb
- logo/reek.bw.png
- logo/reek.bw.svg
- logo/reek.png
- logo/reek.svg
- logo/reek.text.png
- logo/reek.text.svg
- reek.gemspec
- spec/factories/factories.rb
- spec/quality/reek_source_spec.rb
- spec/reek/ast/node_spec.rb
- spec/reek/ast/object_refs_spec.rb
- spec/reek/ast/reference_collector_spec.rb
- spec/reek/ast/sexp_extensions_spec.rb
- spec/reek/ast/sexp_formatter_spec.rb
- spec/reek/cli/input_spec.rb
- spec/reek/cli/option_interpreter_spec.rb
- spec/reek/cli/options_spec.rb
- spec/reek/cli/warning_collector_spec.rb
- spec/reek/code_comment_spec.rb
- spec/reek/configuration/app_configuration_spec.rb
- spec/reek/configuration/configuration_file_finder_spec.rb
- spec/reek/configuration/default_directive_spec.rb
- spec/reek/configuration/directory_directives_spec.rb
- spec/reek/configuration/excluded_paths_spec.rb
- spec/reek/context/code_context_spec.rb
- spec/reek/context/method_context_spec.rb
- spec/reek/context/module_context_spec.rb
- spec/reek/context/root_context_spec.rb
- spec/reek/context_builder_spec.rb
- spec/reek/examiner_spec.rb
- spec/reek/report/code_climate_formatter_spec.rb
- spec/reek/report/code_climate_report_spec.rb
- spec/reek/report/html_report_spec.rb
- spec/reek/report/json_report_spec.rb
- spec/reek/report/location_formatter_spec.rb
- spec/reek/report/text_report_spec.rb
- spec/reek/report/xml_report_spec.rb
- spec/reek/report/yaml_report_spec.rb
- spec/reek/smells/attribute_spec.rb
- spec/reek/smells/boolean_parameter_spec.rb
- spec/reek/smells/class_variable_spec.rb
- spec/reek/smells/control_parameter_spec.rb
- spec/reek/smells/data_clump_spec.rb
- spec/reek/smells/duplicate_method_call_spec.rb
- spec/reek/smells/feature_envy_spec.rb
- spec/reek/smells/irresponsible_module_spec.rb
- spec/reek/smells/long_parameter_list_spec.rb
- spec/reek/smells/long_yield_list_spec.rb
- spec/reek/smells/module_initialize_spec.rb
- spec/reek/smells/nested_iterators_spec.rb
- spec/reek/smells/nil_check_spec.rb
- spec/reek/smells/prima_donna_method_spec.rb
- spec/reek/smells/repeated_conditional_spec.rb
- spec/reek/smells/smell_configuration_spec.rb
- spec/reek/smells/smell_detector_shared.rb
- spec/reek/smells/smell_repository_spec.rb
- spec/reek/smells/smell_warning_spec.rb
- spec/reek/smells/too_many_instance_variables_spec.rb
- spec/reek/smells/too_many_methods_spec.rb
- spec/reek/smells/too_many_statements_spec.rb
- spec/reek/smells/uncommunicative_method_name_spec.rb
- spec/reek/smells/uncommunicative_module_name_spec.rb
- spec/reek/smells/uncommunicative_parameter_name_spec.rb
- spec/reek/smells/uncommunicative_variable_name_spec.rb
- spec/reek/smells/unused_parameters_spec.rb
- spec/reek/smells/unused_private_method_spec.rb
- spec/reek/smells/utility_function_spec.rb
- spec/reek/source/source_code_spec.rb
- spec/reek/source/source_locator_spec.rb
- spec/reek/spec/should_reek_of_spec.rb
- spec/reek/spec/should_reek_only_of_spec.rb
- spec/reek/spec/should_reek_spec.rb
- spec/reek/spec/smell_matcher_spec.rb
- spec/reek/tree_dresser_spec.rb
- spec/samples/all_but_one_masked/clean_one.rb
- spec/samples/all_but_one_masked/dirty.rb
- spec/samples/all_but_one_masked/masked.reek
- spec/samples/checkstyle.xml
- spec/samples/clean_due_to_masking/clean_one.rb
- spec/samples/clean_due_to_masking/clean_three.rb
- spec/samples/clean_due_to_masking/clean_two.rb
- spec/samples/clean_due_to_masking/dirty_one.rb
- spec/samples/clean_due_to_masking/dirty_two.rb
- spec/samples/clean_due_to_masking/masked.reek
- spec/samples/configuration/full_configuration.reek
- spec/samples/configuration/simple_configuration.reek
- spec/samples/configuration/with_excluded_paths.reek
- spec/samples/exceptions.reek
- spec/samples/inline.rb
- spec/samples/masked_by_dotfile/.reek
- spec/samples/masked_by_dotfile/dirty.rb
- spec/samples/no_config_file/dirty.rb
- spec/samples/optparse.rb
- spec/samples/redcloth.rb
- spec/samples/source_with_exclude_paths/ignore_me/uncommunicative_method_name.rb
- spec/samples/source_with_exclude_paths/nested/ignore_me_as_well/irresponsible_module.rb
- spec/samples/source_with_exclude_paths/nested/uncommunicative_parameter_name.rb
- spec/samples/source_with_hidden_directories/.hidden/uncommunicative_method_name.rb
- spec/samples/source_with_hidden_directories/uncommunicative_parameter_name.rb
- spec/samples/source_with_non_ruby_files/gibberish
- spec/samples/source_with_non_ruby_files/python_source.py
- spec/samples/source_with_non_ruby_files/uncommunicative_parameter_name.rb
- spec/samples/three_clean_files/clean_one.rb
- spec/samples/three_clean_files/clean_three.rb
- spec/samples/three_clean_files/clean_two.rb
- spec/samples/two_smelly_files/dirty_one.rb
- spec/samples/two_smelly_files/dirty_two.rb
- spec/spec_helper.rb
- tasks/configuration.rake
- tasks/console.rake
- tasks/reek.rake
- tasks/rubocop.rake
- tasks/test.rake
homepage: https://github.com/troessner/reek/wiki
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options:
- "--main"
- README.md
- "-x"
- assets/|bin/|config/|features/|spec/|tasks/
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: 2.0.0
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - ">="
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.4.5
signing_key: 
specification_version: 4
summary: Code smell detector for Ruby
test_files: []
has_rdoc: 
